Ubuntu

Resume from suspend does not work

Reported by pmos69 on 2010-04-22
458
This bug affects 90 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned
Nominated for Lucid by Azmi Nik
Nominated for Maverick by hamax

Bug Description

(*** UPDATE: Problem solved for me in 10.10 ***)

Description: Ubuntu lucid (development branch)
Release: 10.04

- Hibernate and resume from hibernate work as expected.
- Suspend works as expected.
- Resume from suspend gives me a black screen and nothing else.
- System seems operational except for display. (there's cpu and disk activity)
- screen backlight comes on.
- ctrl-alt-f* / alt-f7 does nothing.
- caps-lock indicator light does not react to key presses

sudo sh -c "sync; echo 1 > /sys/power/pm_trace; pm-suspend" gives me:
   [ 0.520085] hash matches /build/buildd/linux-2.6.32/drivers/base/power/main.c:433
in dmesg.

- Reproducible every time
- happens both from closing the lid and from command line
- No kernel panic/flashing caps-lock

- Using nvidia-current (195.36.15-0ubuntu2)

- when changing to ctrl-alt-f1 before suspend and doing: "pm-suspend":
      - resume does not work also.
      - screen backlight comes on.
      - ctrl-alt-f* / alt-f7 does nothing.
      - (blind) typing "shutdown -h now" does orderly shutdown

- when changing to ctrl-alt-f1 before suspend and doing: "killall gdm-binary; pm-suspend":
      - resume does not work also
      - screen backlight does not come on
      - ctrl-alt-f* / alt-f7 does nothing.
      - (blind) typing "shutdown -h now" does orderly shutdown

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: linux-image-2.6.32-21-generic 2.6.32-21.32
Regression: No
Reproducible: Yes
ProcVersionSignature: Ubuntu 2.6.32-21.32-generic 2.6.32.11+drm33.2
Uname: Linux 2.6.32-21-generic x86_64
NonfreeKernelModules: nvidia
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC268 Analog [ALC268 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC268 Analog [ALC268 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: psimoes 1639 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xca000000 irq 22'
   Mixer name : 'Realtek ALC268'
   Components : 'HDA:10ec0268,11790602,00100003 HDA:11c11040,11790001,00100200'
   Controls : 13
   Simple ctrls : 8
Date: Thu Apr 22 23:03:58 2010
HibernationDevice: RESUME=UUID=d9d94510-7a38-4ff9-adc8-1b3ec4cfd162
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Beta amd64 (20100406.1)
MachineType: TOSHIBA TECRA M10
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-21-generic root=UUID=ac5c20ce-f135-4d0c-8e79-c5733e241324 ro quiet splash
ProcEnviron:
 PATH=(custom, user)
 LANG=en_US.utf8
 SHELL=/bin/bash
RelatedPackageVersions: linux-firmware 1.34
SourcePackage: linux
dmi.bios.date: 09/10/2009
dmi.bios.vendor: TOSHIBA
dmi.bios.version: Version 3.00
dmi.board.asset.tag: 0000000000
dmi.board.name: Portable PC
dmi.board.vendor: TOSHIBA
dmi.board.version: Version A0
dmi.chassis.asset.tag: 0000000000
dmi.chassis.type: 10
dmi.chassis.vendor: TOSHIBA
dmi.chassis.version: Version 1.0
dmi.modalias: dmi:bvnTOSHIBA:bvrVersion3.00:bd09/10/2009:svnTOSHIBA:pnTECRAM10:pvrPTMB3E-01600VEP:rvnTOSHIBA:rnPortablePC:rvrVersionA0:cvnTOSHIBA:ct10:cvrVersion1.0:
dmi.product.name: TECRA M10
dmi.product.version: PTMB3E-01600VEP
dmi.sys.vendor: TOSHIBA

pmos69 (pmos69) wrote :
Jeremy Foshee (jeremyfoshee) wrote :

Hi pmos69,

If you could also please test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

    [This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: kernel-suspend
tags: added: kj-triage
Changed in linux (Ubuntu):
status: New → Incomplete
pmos69 (pmos69) wrote :

same behaviour with 2.6.34-999

tags: removed: needs-upstream-testing
Changed in linux (Ubuntu):
status: Incomplete → Triaged
importance: Undecided → Medium
Stuart (stuartneilson) wrote :

Is this the same as Bug #528981 https://bugs.launchpad.net/ubuntu/+source/linux/+bug/528981 "Repetitive massive filesystem corruption"?

I see in Bootdmesg.txt the same filesystem remounted readonly:

[ 7.059658] EXT4-fs (sdb1): INFO: recovery required on readonly filesystem
[ 7.059662] EXT4-fs (sdb1): write access will be enabled during recovery
[ 9.558603] EXT4-fs (sdb1): orphan cleanup on readonly fs
[ 9.558611] EXT4-fs (sdb1): ext4_orphan_cleanup: deleting unreferenced inode 26228926
[ 9.558669] EXT4-fs (sdb1): ext4_orphan_cleanup: deleting unreferenced inode 26228925
[ 9.558692] EXT4-fs (sdb1): ext4_orphan_cleanup: deleting unreferenced inode 26228427
[ 9.558729] EXT4-fs (sdb1): ext4_orphan_cleanup: deleting unreferenced inode 26214793
[ 9.558742] EXT4-fs (sdb1): 4 orphan inodes deleted
[ 9.558745] EXT4-fs (sdb1): recovery complete
[ 10.183274] EXT4-fs (sdb1): mounted filesystem with ordered data mode

pmos69 (pmos69) wrote :

Can't say for sure, because the boot was right after a "hard reboot" to recover from the failed resume, and so it's very possible the FS had to recover.

I can check if it happens in clean boots...

pmos69 (pmos69) wrote :

nope, normal clean boot does not have any fs corruption

Kevin Hunter (hunteke) wrote :

Can repeat behavior on Dell Studio with Intel integrated graphics:

1. System suspends successfully.
2. System powers on and disk starts spinning. However, no backlight on laptop screen, and host is unreachable by ssh/ping.
3. Hard power off (push/hold power button) then back on

I've attached full outputs of lshw, lsmod, lspci, lsb_release, uname -a, but the highlights:

- Intel integrated graphics, apparently with i915 driver.
- 2.6.32-21-generic, 64bit
- Lucid

Note: I also went through the both debugging guides at

https://wiki.ubuntu.com/DebuggingKernelSuspendHibernateResume#Suspending
https://wiki.ubuntu.com/DebuggingKernelSuspend

With nothing fruitful. It's definitely suspending, but not resuming properly, no kernel panic, just not usable

pmos69 (pmos69) wrote :

Edited bug description.

Following https://wiki.ubuntu.com/DebuggingKernelSuspend gives me:
   [ 0.520085] hash matches /build/buildd/linux-2.6.32/drivers/base/power/main.c:433
in dmesg.

description: updated
pmos69 (pmos69) on 2010-05-01
description: updated
pmos69 (pmos69) on 2010-05-02
description: updated
pmos69 (pmos69) wrote :

updated description again.

- when changing to ctrl-alt-f1 before suspend and doing: "pm-suspend":
      - resume does not work also.
      - screen backlight comes on.
      - ctrl-alt-f* / alt-f7 does nothing.
      - (blind) typing "shutdown -h now" does orderly shutdown

- when changing to ctrl-alt-f1 before suspend and doing: "killall gdm-binary; pm-suspend":
      - resume does not work also
      - screen backlight does not come on
      - ctrl-alt-f* / alt-f7 does nothing.
      - (blind) typing "shutdown -h now" does orderly shutdown

description: updated
description: updated
description: updated
demizer (jeezusjr) wrote :

Suspending but not resuming for me also. I would really like to fix this as my laptop is useless without suspend/resume. My hardware and problems are similar to post #7 above.

I have similar problems on my Lenovo S10. Before I installed UNE 10.04, I had ArchLinux on my machine. ArchLinux with kernel 2.6.32 had problems with KMS but a black screen was not the result of every resume and a not responding system could be restarted with Ctrl-Alt-Del. With Ubuntu 10.04, Ctrl-Alt-Del does not help anymore. I have to halt the system by pressing the power off button. After a restart, the network is disabled, which is not the case if the system had been shut down properly. Could this show something about when during the resume the system hangs?

pmos69 (pmos69) wrote :

Michael,

Follow #8

More than strange: as workaround I had changed "laptop lid" and "suspend" behavior in "Power Management" to "Hibernate". I opened a console and executed 'sudo sh -c "sync; echo 1 > /sys/power/pm_trace; pm-suspend"' as described. Suspend worked as usual; resume too!?! So I did a "Suspend" from the "Go Home" applet, which resumed well, too! After changing the "laptop lid" and "suspend" behavior in "Power Management" to "Suspend" and closing the lid: resume works, no more black screen! Demo effect? Will test with a longer suspension time.

The only thing I changed recently was to set a blank password in the login keyring because it annoyed me to enter a password at boot time. Could this have something to do with the disabled network after a failed resume?

Stuart (stuartneilson) wrote :

Following https://wiki.ubuntu.com/DebuggingKernelSuspend renders my machine inoperable, although I managed to save dmesg from an open terminal before riesub - reboot then ran a fsck, and rebooted a second time.

dmesg contained:

[ 0.667163] registered taskstats version 1
[ 0.667510] Magic number: 10:191:497
[ 0.667614] rtc_cmos 00:04: setting system clock to 2010-05-02 20:29:48 UTC (1272832188)

There was no line containing "hash matches".

Boron (boronoftheloaf) wrote :

My laptop is also suspending but not resuming.

My netbook stayed black once again today. Unfortunately not when I wanted to debug this problem. I still think it could have something to do with wireless networking since this time I disabled wireless networking on the hardware while working in a train.

DrWig (b-j-wiggins) wrote :

Hi suspend does the same thing. Goes in fine, seems to come out, but screen doesn't come on.

DrWig (b-j-wiggins) wrote :

interestingly, sometimes after hard rebooting a resume failure, the wireless LAN is disabled......

JJA (jarmo-ahonen) wrote :

Hibernate working: no. Suspend working: no (sometimes yes). Both worked fine before the upgrade.

One day later all things went back to normal: i.e. suspend does not work. My dmesg shows no "hash matches", too:

[ 0.811986] PM: Resume from disk failed.
[ 0.812035] registered taskstats version 1
[ 0.813106] Magic number: 10:94:948
[ 0.813152] tty tty5: hash matches
[ 0.813258] rtc_cmos 00:07: setting system clock to 2010-05-04 18:56:58 UTC (1272999418)

Sometimes my computer boots with an ubuntu logo, sometimes with an underscore in the upper left corner. Has somebody else noticed an irregular boot sequence?

i have the same problems. suspend / hibernate does not work, the back-light does not go off and it never really goes to sleep. network is also disabled after a reboot.

interestingly, suspend works when i suspend on the login-screen on a normal boot. (there is no hibernate option, so i could not try that out.) so maybe the problem is something that gets loaded after the login?

Anders S (anarchy-andy) wrote :

This bug affects me as well, not sure if it's exactly identical though.
When I try to resume from suspend, I usually get the black screen for about 20 seconds or so,
but sometimes it works. It seems it always happens when my laptop has been suspended for more than a couple of minutes.

i tried again to suspend several times now. the back-light never turned off, but once i was able to get back. in the dmesg i got a lot of traces, similar to

http://ubuntuforums.org/showthread.php?t=1435052

by the way, i have a dell xps m1330.

uname - a:
Linux juerg-laptop 2.6.32-21-generic #32-Ubuntu SMP Fri Apr 16 08:10:02 UTC 2010 i686 GNU/Linux

lspci:
00:00.0 Host bridge: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub (rev 0c)
00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)
00:02.1 Display controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)
....

I have rhe same problem. Suspend/hibernation only turns off screen, the rest is funcional (even screen backlight).
I haven`t find solution yet, i hope this will be solved soon.

German.otero (german-otero) wrote :

I have a Dell Studio 15, and I have the same problem. I can't understand how ubuntu always have the same problem..
Please!

Stuart (stuartneilson) wrote :

Disabling modeset in grub appears to work.

I had an error "[drm:rs400_gart_adjust_size] *ERROR* Forcing to 32M GART size (because of ASIC bug ?)" in dmesg, and cured this error by adding "radeon.modeset=0"" to GRUB_CMDLINE_LINUX_DEFAULT and then running sudo update-grub2, as per https://bugs.launchpad.net/ubuntu/+source/linux/+bug/562843 (Bug #562843).

This looks nothing like the Ubuntu 10.04 Release Notes "Working around bugs in the new kernel video architecture" (https://bugs.launchpad.net/ubuntu/+source/linux/+bug/533784 and https://bugs.launchpad.net/ubuntu/+source/linux/+bug/541501), but may be related anyway.

The option "nomodeset" may work for other hardware.

Ubuntu Wiki had some other workarounds at https://wiki.ubuntu.com/X/Bugs/Lucidi8xxFreezes

I have not had a freeze or failure to resume since disabling modeset in grub.

Stuart (stuartneilson) wrote :

Switching off modeset in Grub does not work.

Perhaps of some use is that the ssh server daemon does not respond - the keyboard appears to be frozen (Caps Lock has no effect, brightness and wirless keys have no effect), Ctrl-Alt-F1 etc do not open a console, but Alt-SysReq-REISUB does perform a reboot. I had the ssh server running (and it has started correctly since reboot), but was not available when the computer was frozen - I do not know if it failed to start on resume or stopped.

Perhaps also of some use is my impression that the screen resumes at the brightness I left it when the session is not doomed, but resumes much darker prior to a freeze.

erikschepers (emschepers) wrote :

I seem to be experiencing the same bug (ATI based acer aspire 7540G). After resume, the notebook seems to be functional, but the screen remains black.

I was able to log into it via SSH though, and noticed in top, that Xorg was consuming 100% of one of my CPU-cores. This may indicate that Xorg is really the problem.

pmos69 (pmos69) wrote :

@Stuart,

In my case, Caps Lock also has no effect, but strangely, if I "blind type" "shutdown -h now" it works, so the keyboard is obviously active.
(Note: this is when I pm-suspend from a Ctrl-Alt-F1 terminal, of course.)
Typing any other command that reads from disk also triggers the disk activity light.

Boron (boronoftheloaf) wrote :

Hibernate was working, with a few quirks, but I just experienced a failure to resume from hibernation. The computer seemed to be frozen with the disk usage light on, but I could not hear any disk activity, and the screen backlight was off. After a few minutes, I performed a hard reboot, and the disk had to be checked for errors.
On a related note, I experienced issues like #30 when my notebook came out of a screensaver and the display had been put to sleep. The screen would remain black, but if I blind-entered my password, the screen would come back on. One time, though, the notebook froze in the same fashion as when resuming from suspend.

Stardom (seth-tewebs) wrote :

Resume from suspend doesn't work for me either, im have a presario CQ60 with AMD Athlonx 64 X2.
Resume from hibernate works.

Whats reaallly annoying is that when i attempt to resume from suspend 4 humongous beeps quickly blast from my speaker and then nothing - screen blank, though there are activity lights on my computer. This is when i have my computer on mute.

Manuel J. Garrido (mgarrido) wrote :

Same problem here, I have a dell inspiron 6400 with ati mobility radeon x1300. Fixed purging grub2 and reverting to grub-legacy

Same problem here: Dell E6410 Core i5 with an intel video card.

purging gru2 to and installing grup (v0.97) using this guide:

https://help.ubuntu.com/community/Grub2

did not work for me. still the same problem.

salva84 (salva-ms) wrote :

same problem with ati 5850

Same problem here with old Dell Latitude laptop with Intel Corporation 82830 830 Chipset Host Bridge (rev 02) and ATI Technologies Inc Radeon Mobility M6 LY graphics card. Suspending worked ok with 9.10. Now if I suspend the screen goes blank but all other lights stay on. No key combination nor mouse movement can wake the computer and I have to power off by pressing the power button.

After some try-and-error, i finally found the problem on my system!

First, i went back to grub (see #35). i don't know if that is needed.

My startup-disk is running ext4, and i have an sd-card running ext3. suspend does not work when the sd-card is mounted, but when i unmount it, everything works fine!

A mounted ext3-drive has a "kjournald" job running for journaling, so it seems to me that suspending kjournald is the problem.

Sorry, if your startup-disk is ext3, then this will probably not be a solution to you. And be careful: just killing kjournald is not advisable, as it may corrupt your file system.

produnis (schlarmann-uni-wh) wrote :

I have the same problem on a fresh-installed Lucid with ext4.
The board is an ASRock N68-S (AM2) with an AMD SAM3 Sempron 2700Mhz CPU.
On board, there is a GeForce 7025 graphic card with nForce 630a chip.
I installed the current nvidia-drivers via jockey.

ok, i did some more test:

- sd-card mounted, formatted in ext4: did not work.
- sd-card mounted, formatted in FAT: did not work.
- any sd-card in the slot, but not mounted: works fine.
- USB-stick mounted, formated in FAT: works fine.
- external harddrive mounted, formatted in FAT: works fine.

so it seems that not ext3 or kjournald is the problem, but mounted sd-cards.

when i put an sd-card in the slot, dmesg gives me:

[ 288.233032] mmc0: new high speed SDHC card at address b368
[ 288.239856] mmcblk0: mmc0:b368 NCard 7.54 GiB
[ 288.239960] mmcblk0: p1
[ 288.405199] EXT4-fs (mmcblk0p1): mounted filesystem with ordered data mode

so one of these mmc* seems to puts the system in a state that makes suspend fail.

summary: - resume from suspend does not work
+ Resume from suspend does not work
tags: added: c2d sony vaio
pmos69 (pmos69) on 2010-07-22
Changed in linux (Ubuntu):
status: Triaged → Confirmed
54 comments hidden view all 134 comments
fig_wright (fig-wright) wrote :

Possibly useful threads:
http://ubuntuforums.org/showthread.php?t=1469340
http://ubuntuforums.org/showthread.php?t=1469167

This laptop has an ATI Radeon video. Adding radeon.modeset=0 boot parameter didnt work (and broke the ctl-alt-f* console screens)

It took such a long time until resume from suspend worked for me again. As I wrote earlier, s2ram worked on Debian Lenny but not in Testing (and all it's derivates: Ubuntu 10.04, Mint, Peppermint) and not in all other recent Linux distros (like Slackware 13.1).
Some days ago, I tried kernel bootparameter acpi_sleep=s3_bios (I do not know if I did never tried this up now) and now suspend to ram (and resume) works again on my Lenovo S10 (Intel graphics)! I'm sorry to say that I'm running Fedora 13 now (with kernel 2.6.34.6-54.fc13.i686). Perhaps somebody else could check this on Ubuntu 10.04.

Perhaps somebody might be interrested in my experiences with Slackware (http://www.linuxquestions.org/questions/linux-hardware-18/how-does-hibernate-affect-my-suspend-resume-820417/). What seems important to me is that the pm-suspend.log, if resuming fails, shows clearly that the resuming process did not even start. Check the thread to see logs from a success as well as from a failure, since resuming worked sometimes after I did a hibernate before a suspend.

Blaster (holst-niels) wrote :

This bug is currently the most important flaw in Ubuntu. Problem is, that this directly affects the prime target market for Ubuntu: small netbooks, older laptops and everything where power management is crucial.

It took some time to get this bug marked as "confirmed" Marking it as "medium" importance is a really bad joke.

However, I'm pretty glad to see that "Unassigned" is still on the job. As far as I understand he's a pretty solid fellow.

Tom K (lutraman) wrote :

I'm having this problem ever since I installed lucid on my laptop. now that I see these error post and how long it is with almost no developer intervention (if any, I just hope a developer looked at it maybe) I just can't believe it!
the last comment is a complaint from Blaster that this major SHOW-STOPPER BUG is so neglected, and THIS IS ANOTHER ONE!
this thread of messages is stretching on for over 4 months now, and no developer is assigned.

this bug effects much more than the 73 that saw this thread, please do not ignore us.

Blaster (holst-niels) wrote :

I think it's safe to use this thread for just chatting by now. Did you see the new wallpaper for 10.10, Tom K?

8.10 is pretty solid for laptops. Try it. Be prepared for a wireless driver hell though, but power-management works.

Alvin (alvind) wrote :

Lenovo T61p here. Resume from hibernate hasn't worked since Lucid and is still there in Maverick.

Sandeep (sandys-gmail) wrote :

can someone check with kubuntu ? it looks like _equivalent_ kubuntu does not display this issue (atleast for me).

It sounds kinda weird, but there you go.

Alvin (alvind) wrote :

@Sandeep. My comment was based on 2 Kubuntu machines. (One with 10.04, one with 10.10 beta)

Nanawel (nanawel) wrote :

Same problem here: MSI GX700 (T7500 / Intel 965PM / Realtek RTL8111 / nVidia GF8600M)

Suspend was working when I was using Ubuntu 8.10. After a fresh install, single-boot, of Lucid with all updates, I can't resume from suspend anymore. Screen remains black, hard disk and fans spin, SSH does not work, and I have to shut it down using the power button. After rebooting, the network is deactivated.

I can also see some "ext3_orphan_cleanup" messages in dmesg (I'm using only ext3 partitions), but nothing more (I guess).

Sandeep (sandys-gmail) wrote :

What would it take for this bug to be fixed ? My normal work-routine is severely affected because of this.

 I am willing to commit to a 20$ Amazon gift card for a fix (10.04 or 10.10) - if somebody is going out of their way to fix this, this is my small contribution to you.

As I wrote earlier (#96), I experienced the same problem with Ubuntu 10.04 and Fedora 13 (which runs now on my system). Adding kernel bootparameter acpi_sleep=s3_bios solved my issues. My Netbook resumes from suspend since weeks and three kernel updates.

Nanawel (nanawel) wrote :

Thanks Michael for your advice but unfortunately it doesn't change anything in my case. Same behaviour when trying to suspend to RAM.

Check my comment #97 as well as it's link, too. My experiences with resume from suspend with Slackware were very weird. What I can say about my system is that the resume process did not start at all when I experienced the "black screen syndrom". Pm-suspend logs for successful and failed attempts are posted on LinuxQuestions.org (cf. #97). Furthermore: I did disable gnome-screensaver since I had problems with it when I resumed from hibernate. Another thing, since Ubuntu is Debian-based: suspend/resumed always worked well for me with Debian 5 (Lenny) but never with testing (Squeeze). Perhaps somebody could verify this on his system. If somebody would like me to send the full specs of my system (lspci), please let me know. Sorry that I'm not yet willing to install Ubuntu again; Fedora runs just to well and now even suspend to RAM works again. And last but not least: this behavior is not Ubuntu-specific. It affects every distro, I believe, since I saw it on Debian and its derivates (Debian, Ubuntu, LinuxMint, PeppermintOS) as well as on Slackware, SuSE, Fedora and a bit different on ArchLinux (there it was a problem with KMS and could at that time be solved by disabling KMS with kernel bootparameter modeset=0, which is, I think, not possible anymore, if you want to run the X window system).

pmos69 (pmos69) on 2010-09-30
tags: added: nvidia tecra toshiba
pmos69 (pmos69) wrote :

well, even this bug report seems to be having trouble resuming from suspend
:-(

Sandeep (sandys-gmail) wrote :

There is a related bug578673 (https://bugs.launchpad.net/ubuntu/+source/linux/+bug/578673/) which refers to a Latitude E6410 suspend/resume issue with the Arrandale (core i5, core i7) processor.

A fix seems to have been committed for 10.04.2

Roland LaForge (rlaforge) wrote :

same problem here, have HP M9417c desktop. This wastes a lot of my time, having to close out all my windows and shut down every night. Worked fine under 8.10. 10.04 is great except for this.

erikschepers (emschepers) wrote :

I've upgraded to 10.10, and suspend/resume is now working correct again on my notebook!!!

pmos69 (pmos69) wrote :

Problem is solved for me also in 10.10.
No problems resuming from suspend.

description: updated
Nanawel (nanawel) wrote :

Updated from 10.04 to 10.10 today, but still the same problem with suspend/resume and kernel 2.6.35-22-generic #34-Ubuntu SMP x86_64.

Martin B. (mabu69) wrote :

I have been suffering from this bug for quite a while but I was able to solve it twice. My setup: Dell 1555, Radeon HD4500, Ubuntu 10.4 64-bit.
What I had to do in short was: Not to use the fglrx driver that the Ubuntu Hardware Driver addlication offered but to completely uninstall the existing fglrx driver and install the latest driver from the AMD/ATI site.

I performed these steps when running the system in recovery mode, but that might not even be necessary (but doesn't hurt either).

Uninstall fglrx:
sudo apt-get purge fglrx fglrx-modaliases fglrx-amdcccle
sudo rm -r /etc/ati /etc/X11/xorg.conf
(from here: http://wiki.ubuntuusers.de/Grafikkarten/ATI/fglrx/Manuelle_Treiberinstallation?redirect=no)

Download driver from here: http://support.amd.com/us/gpudownload/linux/Pages/radeon_linux.aspx

Run driver installer:
sudo sh ./ati-driver-installer-10-10-x86.x86_64.run # (in my case)

Initialize driver configuration:
sudo aticonfig --initial

Reboot...

Not sure wether my situation was *really* related to this bug, but the symptoms were identical.

Still suffering from this issue. I have a Lenovo S10. I tried with adding "acpi_sleep=s3_bios" to the kernel parameters with no success. With that parameter my Laptop doesn't go to sleep at all.

BTW: This is Kubuntu 10.10

Rick B. (rbeltz48) wrote :

Just upgraded from 9.10 to 10.04. Kernel 2.6.32-27. Gnome 2.30.2. Have an IBM Thinkpad R51 laptop. Suspend when closing lid worked perfectly with 9.10 but doesn't work now with 10.04. Why hasn't this bug been fixed yet?

gearond (gearond) wrote :

I also have this on a second tier laptop. And it only started about 2 weeks ago. If I go to <system><preferences><power><on AC power> and switch from <suspend when lid closed>to<hibernate> and then back again, make as default, it works sometimes. But otherwise, this is really disappointing. Power modes has always been a problem with Ubuntu. It WAS fixed in 10.04, not some upgrade broke it.

Axel Gerber (a-gerber) wrote :

Dear all,

I am using a Samsung N150 as well but with Gentoo. The last couple of days I read a lot since I have the same resume problem. I checked here and there and for me finally found a solution which repeatedly worked and sounded reasonable for me: Too me it looks like it is the intel CPU-Idle driver which is responsible. Therefore two solutions:

1) those compiling their own kernel:
UNSELECT the "Cpudile Driver for Intel Processors" in Power management and ACPI options in the kernel configuration.

or

2)
Add "intel_idle.max_cstate=0" to your kernel parameters (please don't ask me how to do this with ubuntu)

I hope this time I could contribute something to the linux community as I cannot really develop and usually only enjoy solutions...

Cheers
 Axel

Maarten (maarten-wolf) wrote :

I experienced the does not resume after suspend problems with ubuntu 10.4.2 LTS on a lenovo thinkpad L420. I searched a lot and tried many things. The thing that seems to remove all problems for me is changing the quirks input in pm-suspend. I read the man page of pm-suspend, which was very helpful. Then I tried pm-suspend in the terminal with various quirk combination that seemed reasonable to me. I have a successful resume with:
pm-suspend --quirk-dpms-on --quirk-radeon-off --quirk-s3-bios --quirk-s3-mode

To get this working for the system I commented out all other quirks that are listed in
/usr/lib/hal/scripts/linux/hal-system-power-suspend-linux

Hope this helps anybody
Regards,
Maarten

papukaija (papukaija) on 2011-07-05
tags: added: maverick
removed: nvidia sony tecra toshiba vaio
papukaija (papukaija) on 2011-07-05
tags: removed: c2d
papukaija (papukaija) wrote :

Does this bug occur in Natty or newer?

papukaija (papukaija) on 2011-07-10
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Alvin (alvind) wrote :

Yes, it does.

papukaija (papukaija) wrote :

Do you mean Natty or Oneiric? I'm removing the second (#16006) upstream bug since it has nothing to do with this bug. The older upstream link is also probably usesless for this bug report.

papukaija (papukaija) on 2011-09-06
tags: added: kernel-power

I have a similar problem where my Dell Inspiron 600m does not resume from Suspend or Hibernate.
Ubuntu: 11.10
Memory: 2GB
Processor: Intel Pentium M 1.80GHz
OS Type: 32 bit

Bib (bybeu) wrote :

Same here. No SD card related, I have not. Fujitsu Siemens Amilo M 7405.
I did fresh default installs on a spare 20GB drive 100% allocated to the install to find when this happend:
The problem went from Karmic (Jaunty resumed 100% OK) and is still here in Oneiric (3.0.0-12 and -13 and 3.2rc2).
Then I added to the 100% Oneiric drive (sda1 19GB sda5 swap 1007MB) a new side/side Jaunty install from LiveCD (I used the 2nd partitionning option, doing about half/half the hdd for each release) which led the drive sda1Oneiric ~9GB ext4 sda5OneiricSwap all in the end of the disk, and between them I now have sda6Jaunty~8GB ext3 and sda7JauntySwap ~400MB, plus some unallocated MB between the 2 swaps. At this time, GRUB legacy becomes the bootloader, replacing the GRUB2 from Oneiric.
Boot in Jounty+suspend->resume OK (6 quirks found in pm-suspend.log)
Boot in Oneiric (3 different kernels)+suspend->resume OK
Reinstall GRUB2 from Oneiric to sda1,
Boot in Oneiric+suspend->resume KO
Boot in Jaunty+suspend->resume KO
Reinstall GRUB1 from Jaunty to sda1
Boot in Jaunty+suspend->resume OK
Boot in Oneiric+suspend->resume OK

Bib (bybeu) on 2011-11-23
tags: added: grub karmic oneiric
tags: added: grub2 intel
removed: grub
Bib (bybeu) wrote :

Hibern/Thaw is OK
lspci:
00:00.0 Host bridge: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor to I/O Controller (rev 02)
00:00.1 System peripheral: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor to I/O Controller (rev 02)
00:00.3 System peripheral: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor to I/O Controller (rev 02)
00:02.0 VGA compatible controller: Intel Corporation 82852/855GM Integrated Graphics Device (rev 02)
00:02.1 Display controller: Intel Corporation 82852/855GM Integrated Graphics Device (rev 02)
00:1d.0 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #3 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801DB/DBM (ICH4/ICH4-M) USB2 EHCI Controller (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev 83)
00:1f.0 ISA bridge: Intel Corporation 82801DBM (ICH4-M) LPC Interface Bridge (rev 03)
00:1f.1 IDE interface: Intel Corporation 82801DBM (ICH4-M) IDE Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) SMBus Controller (rev 03)
00:1f.5 Multimedia audio controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller (rev 03)
00:1f.6 Modem: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Modem Controller (rev 03)
01:03.0 CardBus bridge: O2 Micro, Inc. OZ711M1/MC1 4-in-1 MemoryCardBus Controller (rev 20)
01:03.1 CardBus bridge: O2 Micro, Inc. OZ711M1/MC1 4-in-1 MemoryCardBus Controller (rev 20)
01:03.2 System peripheral: O2 Micro, Inc. OZ711Mx 4-in-1 MemoryCardBus Accelerator
01:07.0 Network controller: Intel Corporation PRO/Wireless 2200BG [Calexico2] Network Connection (rev 05)
01:0a.0 FireWire (IEEE 1394): Texas Instruments TSB43AB22A IEEE-1394a-2000 Controller (PHY/Link) [iOHCI-Lynx]
01:0c.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+ (rev 10)

Bib (bybeu) wrote :

would it be GRUB1/GRUB2 passing different parameters to same kernel?

Bib (bybeu) wrote :

2nd data

Bib (bybeu) wrote :

3rd data

Bib (bybeu) wrote :

4th data

papukaija (papukaija) wrote :

Please be sure to confirm this issue exists with the latest development release of Ubuntu. ISO CD images are available from http://cdimage.ubuntu.com/daily/current/ . If the issue remains, run the following command from a Terminal (Applications->Accessories->Terminal) it will automatically gather and attach updated debug information to this report.

apport-collect 568711

Also, please be sure to take a look at https://wiki.ubuntu.com/DebuggingKernelSuspendHibernateResume . If you can provide any additional information outlined there it would be much appreciated.

Additionally, if you could try to reproduce this with the upstream mainline kernel that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Thanks in advance.

tags: added: needs-upstream-testing
removed: grub2 intel
Blaster (holst-niels) wrote :

@papukaija

I've been reporting this bug and a lot of similar bugs) since 8.10 for various notebooks, laptops and netbooks. The list of affected systems I've reported is probably too long to mention.

I can confirm that they all work now.

What fixed it for me (and all my friends and colleagues) was definitely Kernel 3.0.0.

I'm sorry that I didn't report back since the 11.10 release. Thanks for the heads up.

papukaija (papukaija) wrote :

This bug report is being closed due to your last comment regarding this being fixed with an update (also, the activity log states that the original reporter has confirmed in comment #113 that this bug is fixed). For future reference you can manage the status of your own bugs by clicking on the current status in the yellow line and then choosing a new status in the revealed drop down box. You can learn more about bug statuses at https://wiki.ubuntu.com/Bugs/Status. Thank you again for taking the time to report this bug and helping to make Ubuntu better. Please submit any future bugs you may find.

Changed in linux (Ubuntu):
status: Incomplete → Invalid
Displaying first 40 and last 40 comments. View all 134 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.